.message {
    width: 100%;
    margin-top: 0px;
    margin-left: 0px;
    top: 0;
    left: 0;
    height: 30px;
    border: 1px solid #ccc;
    font-weight: 100;
    text-align: center;
    font-size: 24px;
    color: #fff;
    position: fixed;
    background-color: #c4453c;
    background-image: -webkit-linear-gradient(135deg, transparent, transparent 25%, hsla(0, 0%, 0%, .05) 25%, hsla(0, 0%, 0%, .05) 50%, transparent 50%, transparent 75%, hsla(0, 0%, 0%, .05) 75%, hsla(0, 0%, 0%, .05));
    background-image: -moz-linear-gradient(135deg, transparent, transparent 25%, hsla(0, 0%, 0%, .1) 25%, hsla(0, 0%, 0%, .1) 50%, transparent 50%, transparent 75%, hsla(0, 0%, 0%, .1) 75%, hsla(0, 0%, 0%, .1));
    background-image: -ms-linear-gradient(135deg, transparent, transparent 25%, hsla(0, 0%, 0%, .1) 25%, hsla(0, 0%, 0%, .1) 50%, transparent 50%, transparent 75%, hsla(0, 0%, 0%, .1) 75%, hsla(0, 0%, 0%, .1));
    background-image: -o-linear-gradient(135deg, transparent, transparent 25%, hsla(0, 0%, 0%, .1) 25%, hsla(0, 0%, 0%, .1) 50%, transparent 50%, transparent 75%, hsla(0, 0%, 0%, .1) 75%, hsla(0, 0%, 0%, .1));
    background-image: linear-gradient(135deg, transparent, transparent 25%, hsla(0, 0%, 0%, .1) 25%, hsla(0, 0%, 0%, .1) 50%, transparent 50%, transparent 75%, hsla(0, 0%, 0%, .1) 75%, hsla(0, 0%, 0%, .1));
    background-size: 20px 20px;
    box-shadow: 0 5px 0 hsla(0, 0%, 0%, .1);
    color: #f6f6f6;
    display: block;
    font: bold 16px/40px sans-serif;
    height: 40px;
    text-align: center;
    text-decoration: none;
    
    width: 100%;
    
    animation: animatedBackground 40s linear infinite;
    z-index:999;
}
@keyframes animatedBackground {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 100% 0;
    }
}
.message:hover:after {
    background: hsla(0, 0%, 0%, .8);
    border-radius: 3px;
    color: #f6f6f6;
    content: 'Click to dismiss';
    font: bold 12px/30px sans-serif;
    height: 30px;
    right: 100px;
    margin-left: 60px;
    position: absolute;
    text-align: center;
    top: -10px;
    width: 120px;
}